Diese Dokumentation wurde archiviert und wird nicht länger gepflegt.

HttpCapabilitiesBase.SupportsSelectMultiple-Eigenschaft

Aktualisiert: November 2007

Ruft einen Wert ab, der angibt, ob der Browser das multiple-Attribut von HTML-<select>-Elementen unterstützt.

Namespace:  System.Web.Configuration
Assembly:  System.Web (in System.Web.dll)

public virtual bool SupportsSelectMultiple { get; }
/** @property */
public boolean get_SupportsSelectMultiple()

public function get SupportsSelectMultiple () : boolean

Eigenschaftenwert

Typ: System.Boolean
true, wenn der Browser das multiple-Attribut von HTML-<select>-Elementen unterstützt, andernfalls false. Der Standardwert ist true.

Im folgenden Codebeispiel wird veranschaulicht, wie bestimmt werden kann, ob der Browser das multiple-Attribut von HTML-<select>-Elementen unterstützt.

<%@ page language="C#"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<script runat="server">
    void Page_Load(Object Sender, EventArgs e)
    {
        CheckBrowserCaps();
    }

    void CheckBrowserCaps()
    {
        String labelText = "";
        System.Web.HttpBrowserCapabilities myBrowserCaps = Request.Browser;
        if (((System.Web.Configuration.HttpCapabilitiesBase)myBrowserCaps).SupportsSelectMultiple)
        {
            labelText = "Browser supports the MULTIPLE attribute of HTML SELECT elements.";
        }
        else
        {
            labelText = "Browser does not support the MULTIPLE attribute of HTML SELECT elements.";
        }

        Label1.Text = labelText;
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
    <title>Browser Capabilities Sample</title>
</head>
<body>
    <form runat="server" id="form1">
        <div>
            Browser Capabilities:
            <p/><asp:Label ID="Label1" Runat="server" />
        </div>
    </form>
</body>
</html>


Windows Vista, Windows XP SP2, Windows XP Media Center Edition, Windows XP Professional x64 Edition, Windows XP Starter Edition, Windows Server 2003, Windows Server 2000 SP4, Windows Millennium Edition, Windows 98

.NET Framework und .NET Compact Framework unterstützen nicht alle Versionen sämtlicher Plattformen. Eine Liste der unterstützten Versionen finden Sie unter Systemanforderungen für .NET Framework.

.NET Framework

Unterstützt in: 3.5, 3.0, 2.0
Anzeigen: